# Generated by Django 3.2.4 on 2024-08-10 08:30

import badi_ticket.models
import badi_utils.dynamic_models
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('category', models.CharField(choices=[('sell', 'Sell'), ('public_question', 'Public question'), ('technical_question', 'Technical question'), ('authentication', 'Authentication'), ('complaint', 'Complaint'), ('financial', 'Financial'), ('other', 'Other')], default='public_question', max_length=50)),
                ('is_closed', models.BooleanField(default=False, verbose_name='is Closed')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('writer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tickets', to=settings.AUTH_USER_MODEL, verbose_name='Member')),
            ],
            options={
                'verbose_name': 'Ticket',
                'verbose_name_plural': 'Ticket',
                'permissions': (('can_ticket', 'Manage Tickets'),),
            },
            bases=(models.Model, badi_utils.dynamic_models.BadiModel),
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(validators=[django.core.validators.MaxLengthValidator(400)], verbose_name='Message Text')),
                ('file', models.FileField(blank=True, null=True, upload_to='messages/', validators=[badi_ticket.models.MaxFileLengthValidator(1)], verbose_name='File')),
                ('is_seen', models.BooleanField(default=False, verbose_name='Is seen by user')),
                ('is_seen_by_admin', models.BooleanField(default=False, verbose_name='Is seen by admin')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Sent at')),
                ('tickt', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='messages', to='badi_ticket.ticket', verbose_name='Ticket')),
                ('writer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='messages', to=settings.AUTH_USER_MODEL, verbose_name='Writer')),
            ],
            options={
                'ordering': ['-created_at'],
                'permissions': (),
            },
            bases=(models.Model, badi_utils.dynamic_models.BadiModel),
        ),
    ]
