# Generated by Django 3.2.4 on 2024-08-10 08:30

import badi_utils.dynamic_models
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Token',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=250, verbose_name='code')),
                ('is_forgot', models.BooleanField(default=False)),
                ('is_accepted', models.BooleanField(default=False)),
                ('phone', models.CharField(blank=True, max_length=128, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_send', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(max_length=255, verbose_name='Subject')),
                ('text', models.TextField(verbose_name='Text')),
                ('show_date', models.DateField(verbose_name='Show Date')),
                ('is_seen', models.BooleanField(default=False, verbose_name='Is Seen')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notifications', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Notification',
                'verbose_name_plural': 'Notifications',
                'permissions': (('can_notification', 'مدیریت Notification'),),
            },
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('priority', models.IntegerField(verbose_name='Priority')),
                ('status', models.BooleanField(default=True, verbose_name='Status')),
                ('description', models.TextField(validators=[django.core.validators.MaxLengthValidator(1200)], verbose_name='Description')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='logs', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Log',
                'verbose_name_plural': 'Logs',
                'ordering': ['-pk'],
                'permissions': (('can_log', 'مدیریت لاگ'),),
            },
            bases=(models.Model, badi_utils.dynamic_models.BadiModel),
        ),
    ]
